from django.shortcuts import render
from django.conf import settings
import rust_crud_api  # Make sure this matches your actual module name

def event_list_view(request):
    db_url = settings.DATABASE_URL
    try:
        events = rust_crud_api.get_all_events(db_url)
        return render(request, 'myapp/event_list.html', {'events': events})
    except Exception as e:
        return render(request, 'myapp/event_list.html', {
            'error': str(e),
            'events': []
        })