use pyo3::prelude::*;
use serde::{Serialize, Deserialize};

#[pyclass]
#[derive(Serialize, Deserialize, Debug)]
pub struct Group {
    #[pyo3(get, set)]
    pub id: Option<i32>,
    #[pyo3(get, set)]
    pub name: String,
    #[pyo3(get, set)]
    pub member_count: i32,
    
}

